Temso Docs
API referencePublishing

Create Publish Subscription

Subscribes a webhook URL to article publishes in a project (used by the Temso Zapier app when a Zap is turned on). Publish payloads are POSTed to the URL as contract v1. Returns the subscription ID needed to unsubscribe.

POST
/projects/{projectId}/zapier/subscriptions

Subscribes a webhook URL to article publishes in a project (used by the Temso Zapier app when a Zap is turned on). Publish payloads are POSTed to the URL as contract v1. Returns the subscription ID needed to unsubscribe.

Path Parameters

projectId*string

Project ID (see List Projects)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/zapier/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "targetUrl": "http://example.com"  }'
{
  "id": "string"
}